#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: HsOpenSSL
version: 0.11
id: HsOpenSSL-0.11-7b02aa5b0624ce871c60a1cc4d641a49

license: PublicDomain
copyright:
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
package-url:
synopsis: Partial OpenSSL binding for Haskell
description:  
             .
             HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
             and DSA keys, read and write PEM files, generate message digests,
             sign and verify messages, encrypt and decrypt messages. It has
             also some capabilities of creating SSL clients and servers.
             .
             This package is in production use by a number of Haskell based
             systems and stable. You may also be interested in the @tls@ package,
             <http://hackage.haskell.org/package/tls>, which is a pure Haskell
             implementation of SSL.
             .
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules: OpenSSL OpenSSL.BN OpenSSL.EVP.Base64
                 OpenSSL.EVP.Cipher OpenSSL.EVP.Digest OpenSSL.EVP.Internal
                 OpenSSL.EVP.Open OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
                 OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
                 OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
                 OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
                 OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.Stack OpenSSL.Utils
                OpenSSL.X509.Name OpenSSL.DH.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/HsOpenSSL-0.11
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/HsOpenSSL-0.11
              /usr/local/lib
hs-libraries: HSHsOpenSSL-0.11
extra-libraries: crypto ssl
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/cabal/ghc-7.8.3/HsOpenSSL-0.11/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         ghc-prim-0.3.1.0-954cb57749cf319beafdc89b3415422c
         integer-gmp-0.5.1.0-d42e6a7874a019e6a0d1c7305ebc83c4
         network-2.4.2.3-dd7481ccaa1ad53154748ec81e6c49e7
         old-locale-1.0.0.6-09baf1dbc5be8338e5eba7c5bb515505
         time-1.4.2-9927ada6d5503e0b70e51a11902c8b61
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/HsOpenSSL-0.11/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/HsOpenSSL-0.11/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
